Subject: bug#73444: 30.0.50; mingw-w64: Emacs uses CRT's `read` when _FORTIFY_SOURCE > 0

From: Óscar Fuentes <[email-masked]>
Date: Tue, 24 Sep 2024 16:06:13 +0200

Eli Zaretskii <[email-masked]> writes:

>> #63752 describes the simptons and tries to identify the cause, this bug
>> (#73444) provides the cause and discusses a possible fix, hopefully one
>> that covers the general case and not just `read'.
>
> The fix posted here affects only 'read', unless I'm missing
> something...

Well, if we could think of a general fix that prevents a potential
problem with the other functions that Emacs redefines, I could try to
implement it.

>> I was not aware of the existence of #63752 when I created this bug. As
>> what to do with #63752, I have no preferences.
>
> That's okay.  If you tell that fixing the issue with 'read' solves the
> problem described in bug#63752, I will merge them.  But if some
> problems caused by _FORTIFY_SOURCE still remain after fixing 'read',
> then bug#63752 is more general, and I think they should remain
> separate, so that when we close this one, the other one stays open.

AFAIK the workaround on this bug report fixes #63752. CCing the original
bug reporter, just in case.